(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 13.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     84341,       2376]
NotebookOptionsPosition[     75544,       2217]
NotebookOutlinePosition[     75940,       2233]
CellTagsIndexPosition[     75897,       2230]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[StyleBox["Centroid distances",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.9251873280176153`*^9, 
  3.925187333135476*^9}},ExpressionUUID->"4c39c3e4-ded4-49bb-a387-\
89d90d90bae7"],

Cell["Skip to the bottom for just the formulas.", "Text",
 CellChangeTimes->{{3.92518743369742*^9, 
  3.925187442145019*^9}},ExpressionUUID->"2929df37-24f5-4bea-a477-\
24e37501d1fa"],

Cell["\<\
Definitions for sin, cos, and tangent of the angles from the x axis (along \
edge ij) in a triangle flap region.\
\>", "Text",
 CellChangeTimes->{{3.9251873382081423`*^9, 3.9251873510074043`*^9}, {
  3.9251873899369307`*^9, 3.9251874179217367`*^9}, {3.9251877003257513`*^9, 
  3.925187703141905*^9}},ExpressionUUID->"9270c2c1-f980-43e9-bb75-\
7a15f89b4496"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"cthi", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"lij", "^", "2"}], "+", 
      RowBox[{"lki", "^", "2"}], "-", 
      RowBox[{"ljk", "^", "2"}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"2", "*", "lij", "*", "lki"}], ")"}]}]}]}]], "Input",
 CellChangeTimes->{3.925187318945676*^9},
 CellLabel->"In[2]:=",ExpressionUUID->"f3b168b6-0a59-49a3-b3ae-77e765799127"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["lij", "2"], "-", 
   SuperscriptBox["ljk", "2"], "+", 
   SuperscriptBox["lki", "2"]}], 
  RowBox[{"2", " ", "lij", " ", "lki"}]]], "Output",
 CellChangeTimes->{3.925187317619754*^9, 3.925187713085168*^9},
 CellLabel->"Out[2]=",ExpressionUUID->"e26f8bed-94ca-47cb-b62d-6e7783e43b26"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sthi", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Sin", "[", 
    RowBox[{"ArcCos", "[", "cthi", "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.92003503135778*^9, 3.920035050621466*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"62fee429-c19d-4352-a8af-58a239f43094"],

Cell[BoxData[
 SqrtBox[
  RowBox[{"1", "-", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["lij", "2"], "-", 
       SuperscriptBox["ljk", "2"], "+", 
       SuperscriptBox["lki", "2"]}], ")"}], "2"], 
    RowBox[{"4", " ", 
     SuperscriptBox["lij", "2"], " ", 
     SuperscriptBox["lki", "2"]}]]}]]], "Output",
 CellChangeTimes->{3.920035051641219*^9, 3.920047609574604*^9, 
  3.920049756830961*^9, 3.921002738982462*^9, 3.921168952436568*^9, 
  3.92219757585245*^9, 3.922202237934064*^9, 3.92518771465974*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"2f0a5d17-e84a-4944-8530-c1f0f5be154c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"cthj", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"lij", "^", "2"}], "+", 
     RowBox[{"ljk", "^", "2"}], "-", 
     RowBox[{"lki", "^", "2"}]}], ")"}], "/", 
   RowBox[{"(", 
    RowBox[{"2", "*", "lij", "*", "ljk"}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.920035070766595*^9, 3.920035071997106*^9}, 
   3.920035113357887*^9, {3.920035177566908*^9, 3.920035196492403*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"97aa574d-840e-4ddc-b145-4f2f5c3afa22"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["lij", "2"], "+", 
   SuperscriptBox["ljk", "2"], "-", 
   SuperscriptBox["lki", "2"]}], 
  RowBox[{"2", " ", "lij", " ", "ljk"}]]], "Output",
 CellChangeTimes->{3.920035197303841*^9, 3.920047610217161*^9, 
  3.920049757655084*^9, 3.921002739177702*^9, 3.92116895325914*^9, 
  3.922197576078106*^9, 3.92220223853048*^9, 3.925187715668845*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"b93f50c4-a509-4910-b0c1-8a4933dc9170"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sthj", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Sin", "[", 
    RowBox[{"ArcCos", "[", "cthj", "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.920035205648603*^9, 3.920035217407423*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"358dad28-db32-46ce-b1d8-fabc4d7e3c4a"],

Cell[BoxData[
 SqrtBox[
  RowBox[{"1", "-", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["lij", "2"], "+", 
       SuperscriptBox["ljk", "2"], "-", 
       SuperscriptBox["lki", "2"]}], ")"}], "2"], 
    RowBox[{"4", " ", 
     SuperscriptBox["lij", "2"], " ", 
     SuperscriptBox["ljk", "2"]}]]}]]], "Output",
 CellChangeTimes->{3.920035217971623*^9, 3.920047610886674*^9, 
  3.920049759593845*^9, 3.921002739959808*^9, 3.921168954095948*^9, 
  3.922197576276223*^9, 3.922202239189303*^9, 3.925187716574209*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"eb931382-df40-410b-98e1-6e395065ba47"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"tthi", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"sthi", "/", "cthi"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.920035607539261*^9, 3.920035625186777*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"88e124f8-43ee-4afb-bbb2-ac7d651def2e"],

Cell[BoxData[
 FractionBox[
  RowBox[{"2", " ", "lij", " ", "lki", " ", 
   SqrtBox[
    RowBox[{"1", "-", 
     FractionBox[
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["lij", "2"], "-", 
         SuperscriptBox["ljk", "2"], "+", 
         SuperscriptBox["lki", "2"]}], ")"}], "2"], 
      RowBox[{"4", " ", 
       SuperscriptBox["lij", "2"], " ", 
       SuperscriptBox["lki", "2"]}]]}]]}], 
  RowBox[{
   SuperscriptBox["lij", "2"], "-", 
   SuperscriptBox["ljk", "2"], "+", 
   SuperscriptBox["lki", "2"]}]]], "Output",
 CellChangeTimes->{3.92003587352881*^9, 3.920047611484958*^9, 
  3.920049760709736*^9, 3.921002740798514*^9, 3.9211689548002157`*^9, 
  3.922197577097939*^9, 3.922202239868693*^9, 3.925187717351521*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"8ad1f3e9-50c2-499c-ad24-ebb516097263"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"tthj", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"sthj", "/", "cthj"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.920035630403635*^9, 3.920035640291441*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"c8b5c182-85ef-43c4-9196-4cf04514019a"],

Cell[BoxData[
 FractionBox[
  RowBox[{"2", " ", "lij", " ", "ljk", " ", 
   SqrtBox[
    RowBox[{"1", "-", 
     FractionBox[
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["lij", "2"], "+", 
         SuperscriptBox["ljk", "2"], "-", 
         SuperscriptBox["lki", "2"]}], ")"}], "2"], 
      RowBox[{"4", " ", 
       SuperscriptBox["lij", "2"], " ", 
       SuperscriptBox["ljk", "2"]}]]}]]}], 
  RowBox[{
   SuperscriptBox["lij", "2"], "+", 
   SuperscriptBox["ljk", "2"], "-", 
   SuperscriptBox["lki", "2"]}]]], "Output",
 CellChangeTimes->{3.920035875161536*^9, 3.9200476123490143`*^9, 
  3.920049761802634*^9, 3.921002741677743*^9, 3.921168955537484*^9, 
  3.922197577988466*^9, 3.922202240587233*^9, 3.9251877182178917`*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"dfbee293-3545-40e5-9654-0bbaeb516b1e"]
}, Open  ]],

Cell["Triangle 2 has lij, lim, lmj.", "Text",
 CellChangeTimes->{{3.922197844819229*^9, 
  3.922197862049314*^9}},ExpressionUUID->"852db8ff-3c84-449b-bf9c-\
bcbbabc0168d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"cthi2", " ", "=", " ", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"lij", "^", "2"}], "+", 
     RowBox[{"lim", "^", "2"}], "-", 
     RowBox[{"lmj", "^", "2"}]}], ")"}], "/", 
   RowBox[{"(", 
    RowBox[{"2", "*", "lij", "*", "lim"}], ")"}]}]}]], "Input",
 CellChangeTimes->{
  3.922197775695696*^9, {3.922197809400587*^9, 3.922197866687408*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"80095a30-a453-4f71-950e-72e7859f11d6"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["lij", "2"], "+", 
   SuperscriptBox["lim", "2"], "-", 
   SuperscriptBox["lmj", "2"]}], 
  RowBox[{"2", " ", "lij", " ", "lim"}]]], "Output",
 CellChangeTimes->{3.922197870667837*^9, 3.922202243171338*^9, 
  3.9251877203938847`*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"6440c64d-af86-46a2-ac2b-8f1f455e8bd7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sthi2", " ", "=", " ", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Sin", "[", 
    RowBox[{"ArcCos", "[", "cthi2", "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.922197873212471*^9, 3.922197888802799*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"0ba750c5-ab04-464a-84fc-b17ef7288789"],

Cell[BoxData[
 SqrtBox[
  RowBox[{"1", "-", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["lij", "2"], "+", 
       SuperscriptBox["lim", "2"], "-", 
       SuperscriptBox["lmj", "2"]}], ")"}], "2"], 
    RowBox[{"4", " ", 
     SuperscriptBox["lij", "2"], " ", 
     SuperscriptBox["lim", "2"]}]]}]]], "Output",
 CellChangeTimes->{{3.922197886269213*^9, 3.92219788939822*^9}, 
   3.922202243932501*^9, 3.925187721671867*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"4938e239-fa29-4981-96fd-147f0bcb87de"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"cthj2", " ", "=", " ", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"lij", "^", "2"}], "+", 
     RowBox[{"lmj", "^", "2"}], "-", 
     RowBox[{"lim", "^", "2"}]}], ")"}], "/", 
   RowBox[{"(", 
    RowBox[{"2", "*", "lij", "*", "lmj"}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.922197899394915*^9, 3.9221979490384493`*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"79462f6d-c910-4456-aa3a-a7ef4975b0c7"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["lij", "2"], "-", 
   SuperscriptBox["lim", "2"], "+", 
   SuperscriptBox["lmj", "2"]}], 
  RowBox[{"2", " ", "lij", " ", "lmj"}]]], "Output",
 CellChangeTimes->{3.922197951224022*^9, 3.9222022445960417`*^9, 
  3.925187722665557*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"9a46dd54-f611-499d-8c72-e195238a24b7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sthj2", " ", "=", " ", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Sin", "[", 
    RowBox[{"ArcCos", "[", "cthj2", "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.922197962414925*^9, 3.922197972861114*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"50f8c9e1-cb6c-4291-b6ff-1a5b517dcef6"],

Cell[BoxData[
 SqrtBox[
  RowBox[{"1", "-", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["lij", "2"], "-", 
       SuperscriptBox["lim", "2"], "+", 
       SuperscriptBox["lmj", "2"]}], ")"}], "2"], 
    RowBox[{"4", " ", 
     SuperscriptBox["lij", "2"], " ", 
     SuperscriptBox["lmj", "2"]}]]}]]], "Output",
 CellChangeTimes->{3.9221979746822453`*^9, 3.9222022453053102`*^9, 
  3.925187723611081*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"33ee0d69-4841-4fe7-b10b-8d03651b7eef"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"cthj3", " ", "=", " ", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"ljk", "^", "2"}], "+", 
     RowBox[{"ljn", "^", "2"}], "-", 
     RowBox[{"lnk", "^", "2"}]}], ")"}], "/", 
   RowBox[{"(", 
    RowBox[{"2", "*", "ljk", "*", "ljn"}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.922202036380806*^9, 3.922202131531872*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"c9d6bd11-4e01-45ac-8a7c-d2114847041c"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["ljk", "2"], "+", 
   SuperscriptBox["ljn", "2"], "-", 
   SuperscriptBox["lnk", "2"]}], 
  RowBox[{"2", " ", "ljk", " ", "ljn"}]]], "Output",
 CellChangeTimes->{3.922202139864229*^9, 3.922202245941812*^9, 
  3.925187724600494*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"72988073-a125-42d8-a137-3bac8511e6d3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sthj3", " ", "=", " ", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Sin", "[", 
    RowBox[{"ArcCos", "[", "cthj3", "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.922202143916998*^9, 3.922202158157076*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"34cc6753-8b3b-4564-8e5d-fcccc156a928"],

Cell[BoxData[
 SqrtBox[
  RowBox[{"1", "-", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["ljk", "2"], "+", 
       SuperscriptBox["ljn", "2"], "-", 
       SuperscriptBox["lnk", "2"]}], ")"}], "2"], 
    RowBox[{"4", " ", 
     SuperscriptBox["ljk", "2"], " ", 
     SuperscriptBox["ljn", "2"]}]]}]]], "Output",
 CellChangeTimes->{3.9222021586615458`*^9, 3.922202246668956*^9, 
  3.925187725499818*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"b1c72438-8ab3-4ff0-a1af-625964142603"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"cthi3", " ", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"lki", "^", "2"}], "+", 
     RowBox[{"lpi", "^", "2"}], "-", 
     RowBox[{"lkp", "^", "2"}]}], ")"}], "/", 
   RowBox[{"(", 
    RowBox[{"2", "*", "lki", "*", "lpi"}], ")"}], " "}]}]], "Input",
 CellChangeTimes->{{3.922202163854098*^9, 3.922202198316868*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"badeefb5-c155-4a6d-80e1-09d603230413"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["lki", "2"], "-", 
   SuperscriptBox["lkp", "2"], "+", 
   SuperscriptBox["lpi", "2"]}], 
  RowBox[{"2", " ", "lki", " ", "lpi"}]]], "Output",
 CellChangeTimes->{3.922202200250977*^9, 3.922202247314935*^9, 
  3.925187726300131*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"b7c46474-95f3-4306-badc-dc535dcb0e4b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sthi3", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Sin", "[", 
    RowBox[{"ArcCos", "[", "cthi3", "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.922202204622384*^9, 3.922202221261944*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"7527d619-dc88-4d54-917d-5036a618bbf1"],

Cell[BoxData[
 SqrtBox[
  RowBox[{"1", "-", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["lki", "2"], "-", 
       SuperscriptBox["lkp", "2"], "+", 
       SuperscriptBox["lpi", "2"]}], ")"}], "2"], 
    RowBox[{"4", " ", 
     SuperscriptBox["lki", "2"], " ", 
     SuperscriptBox["lpi", "2"]}]]}]]], "Output",
 CellChangeTimes->{{3.9222022217297564`*^9, 3.92220224802162*^9}, 
   3.9251877272179728`*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"d1547bda-bcf2-49f4-9d63-76f63abb7334"]
}, Open  ]],

Cell["\<\


Set up each point location in a triangle flap region.\
\>", "Text",
 CellChangeTimes->{{3.9221979858216057`*^9, 3.922197993415811*^9}, {
  3.925187371569005*^9, 
  3.925187378896426*^9}},ExpressionUUID->"5a054116-8c04-4b57-b8ed-\
04db0d630144"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pi", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{"0", ",", " ", "0"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.922198039136387*^9, 3.922198042261476*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"8a306fb9-8cb0-4ffe-9943-6ed169baf8db"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.922198043047282*^9, 3.922202249825819*^9, 
  3.922208733828562*^9, 3.925187728840847*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"2c5f82e0-d2e1-48ec-a7d4-ddab5dc10d8f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pj", "=", 
  RowBox[{"{", 
   RowBox[{"lij", ",", " ", "0"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.922198046109827*^9, 3.922198053392387*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"5a51b4be-a28a-4f91-ae9f-30113ce7cf47"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"lij", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.922198054120116*^9, 3.922202250546768*^9, 
  3.922208734610017*^9, 3.9251877298190403`*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"22e73b67-8d90-4739-a89e-b12882daf9c8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pk", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"lki", "*", "cthi"}], ",", " ", 
    RowBox[{"lki", "*", "sthi"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.922198056152447*^9, 3.922198078308527*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"63068333-1d95-4f7a-b3f1-88454b585da9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{
     SuperscriptBox["lij", "2"], "-", 
     SuperscriptBox["ljk", "2"], "+", 
     SuperscriptBox["lki", "2"]}], 
    RowBox[{"2", " ", "lij"}]], ",", 
   RowBox[{"lki", " ", 
    SqrtBox[
     RowBox[{"1", "-", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["lij", "2"], "-", 
          SuperscriptBox["ljk", "2"], "+", 
          SuperscriptBox["lki", "2"]}], ")"}], "2"], 
       RowBox[{"4", " ", 
        SuperscriptBox["lij", "2"], " ", 
        SuperscriptBox["lki", "2"]}]]}]]}]}], "}"}]], "Output",
 CellChangeTimes->{3.922198078884157*^9, 3.9222022512832327`*^9, 
  3.9222087352354727`*^9, 3.9251877305063047`*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"55be3f9c-0fd7-4eeb-85b0-9c99ed55ce57"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pm", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"lim", "*", "cthi2"}], ",", " ", 
    RowBox[{
     RowBox[{"-", "lim"}], "*", "sthi2"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.922198084598956*^9, 3.922198113120916*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"e6cd53f5-312d-45af-9c4a-386cfa907f07"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{
     SuperscriptBox["lij", "2"], "+", 
     SuperscriptBox["lim", "2"], "-", 
     SuperscriptBox["lmj", "2"]}], 
    RowBox[{"2", " ", "lij"}]], ",", 
   RowBox[{
    RowBox[{"-", "lim"}], " ", 
    SqrtBox[
     RowBox[{"1", "-", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["lij", "2"], "+", 
          SuperscriptBox["lim", "2"], "-", 
          SuperscriptBox["lmj", "2"]}], ")"}], "2"], 
       RowBox[{"4", " ", 
        SuperscriptBox["lij", "2"], " ", 
        SuperscriptBox["lim", "2"]}]]}]]}]}], "}"}]], "Output",
 CellChangeTimes->{3.922198114238492*^9, 3.922202252562136*^9, 
  3.922208735882947*^9, 3.925187731241063*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"c4fd0b42-520e-4839-bebb-5fec60226433"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pn", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"lij", "-", 
      RowBox[{"ljn", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"cthj", "*", "cthj3"}], "-", 
         RowBox[{"sthj", "*", "sthj3"}]}], ")"}]}]}], ",", " ", 
     RowBox[{"ljn", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"sthj", "*", "cthj3"}], "+", 
        RowBox[{"cthj", "*", "sthj3"}]}], ")"}]}]}], "}"}], "]"}]}]], "Input",\

 CellChangeTimes->{{3.922202259039365*^9, 3.92220233459213*^9}, {
  3.922202397713566*^9, 3.922202405089476*^9}, {3.9222087001465*^9, 
  3.9222087208984337`*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"bb1354d1-dcf2-4f5c-ae13-64ea7155bbd6"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"lij", "-", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["lij", "2"], "+", 
        SuperscriptBox["ljk", "2"], "-", 
        SuperscriptBox["lki", "2"]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["ljk", "2"], "+", 
        SuperscriptBox["ljn", "2"], "-", 
        SuperscriptBox["lnk", "2"]}], ")"}]}], 
     RowBox[{"4", " ", "lij", " ", 
      SuperscriptBox["ljk", "2"]}]], "+", 
    RowBox[{"ljn", " ", 
     SqrtBox[
      RowBox[{"1", "-", 
       FractionBox[
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["lij", "2"], "+", 
           SuperscriptBox["ljk", "2"], "-", 
           SuperscriptBox["lki", "2"]}], ")"}], "2"], 
        RowBox[{"4", " ", 
         SuperscriptBox["lij", "2"], " ", 
         SuperscriptBox["ljk", "2"]}]]}]], " ", 
     SqrtBox[
      RowBox[{"1", "-", 
       FractionBox[
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["ljk", "2"], "+", 
           SuperscriptBox["ljn", "2"], "-", 
           SuperscriptBox["lnk", "2"]}], ")"}], "2"], 
        RowBox[{"4", " ", 
         SuperscriptBox["ljk", "2"], " ", 
         SuperscriptBox["ljn", "2"]}]]}]]}]}], ",", 
   FractionBox[
    RowBox[{
     RowBox[{"2", " ", 
      SqrtBox[
       RowBox[{"1", "-", 
        FractionBox[
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["lij", "2"], "+", 
            SuperscriptBox["ljk", "2"], "-", 
            SuperscriptBox["lki", "2"]}], ")"}], "2"], 
         RowBox[{"4", " ", 
          SuperscriptBox["lij", "2"], " ", 
          SuperscriptBox["ljk", "2"]}]]}]], " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["ljk", "2"], "+", 
        SuperscriptBox["ljn", "2"], "-", 
        SuperscriptBox["lnk", "2"]}], ")"}]}], "+", 
     FractionBox[
      RowBox[{"2", " ", "ljn", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["lij", "2"], "+", 
         SuperscriptBox["ljk", "2"], "-", 
         SuperscriptBox["lki", "2"]}], ")"}], " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["ljk", "2"], "+", 
             SuperscriptBox["ljn", "2"], "-", 
             SuperscriptBox["lnk", "2"]}], ")"}], "2"], 
          RowBox[{"4", " ", 
           SuperscriptBox["ljk", "2"], " ", 
           SuperscriptBox["ljn", "2"]}]]}]]}], "lij"]}], 
    RowBox[{"4", " ", "ljk"}]]}], "}"}]], "Output",
 CellChangeTimes->{
  3.92220233537376*^9, 3.922202406746126*^9, 3.92220851145628*^9, {
   3.922208705901252*^9, 3.922208736567094*^9}, 3.925187732720737*^9},
 CellLabel->"Out[20]=",ExpressionUUID->"2f0b79ea-e5d4-47f1-a9f3-ee6d1e6df289"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pp", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"lpi", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"cthi", "*", "cthi3"}], "-", 
        RowBox[{"sthi", "*", "sthi3"}]}], ")"}]}], ",", " ", 
     RowBox[{"lpi", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"sthi", "*", "cthi3"}], "+", 
        RowBox[{"sthi3", "*", "cthi"}]}], ")"}]}]}], "}"}], "]"}]}]], "Input",\

 CellChangeTimes->{{3.9222023387191563`*^9, 3.922202416113157*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"bdbf06cc-00c4-41cc-89b9-d3a69ea6d5e0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["lij", "2"], "-", 
        SuperscriptBox["ljk", "2"], "+", 
        SuperscriptBox["lki", "2"]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["lki", "2"], "-", 
        SuperscriptBox["lkp", "2"], "+", 
        SuperscriptBox["lpi", "2"]}], ")"}]}], 
     RowBox[{"4", " ", "lij", " ", 
      SuperscriptBox["lki", "2"]}]], "-", 
    RowBox[{
     SqrtBox[
      RowBox[{"1", "-", 
       FractionBox[
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["lij", "2"], "-", 
           SuperscriptBox["ljk", "2"], "+", 
           SuperscriptBox["lki", "2"]}], ")"}], "2"], 
        RowBox[{"4", " ", 
         SuperscriptBox["lij", "2"], " ", 
         SuperscriptBox["lki", "2"]}]]}]], " ", "lpi", " ", 
     SqrtBox[
      RowBox[{"1", "-", 
       FractionBox[
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["lki", "2"], "-", 
           SuperscriptBox["lkp", "2"], "+", 
           SuperscriptBox["lpi", "2"]}], ")"}], "2"], 
        RowBox[{"4", " ", 
         SuperscriptBox["lki", "2"], " ", 
         SuperscriptBox["lpi", "2"]}]]}]]}]}], ",", 
   FractionBox[
    RowBox[{
     RowBox[{"2", " ", 
      SqrtBox[
       RowBox[{"1", "-", 
        FractionBox[
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["lij", "2"], "-", 
            SuperscriptBox["ljk", "2"], "+", 
            SuperscriptBox["lki", "2"]}], ")"}], "2"], 
         RowBox[{"4", " ", 
          SuperscriptBox["lij", "2"], " ", 
          SuperscriptBox["lki", "2"]}]]}]], " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["lki", "2"], "-", 
        SuperscriptBox["lkp", "2"], "+", 
        SuperscriptBox["lpi", "2"]}], ")"}]}], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["lij", "2"], "-", 
         SuperscriptBox["ljk", "2"], "+", 
         SuperscriptBox["lki", "2"]}], ")"}], " ", "lpi", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["lki", "2"], "-", 
             SuperscriptBox["lkp", "2"], "+", 
             SuperscriptBox["lpi", "2"]}], ")"}], "2"], 
          RowBox[{"4", " ", 
           SuperscriptBox["lki", "2"], " ", 
           SuperscriptBox["lpi", "2"]}]]}]]}], "lij"]}], 
    RowBox[{"4", " ", "lki"}]]}], "}"}]], "Output",
 CellChangeTimes->{{3.9222023899873734`*^9, 3.922202417393936*^9}, 
   3.9222087381819057`*^9, 3.925187736041225*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"80d3096e-5f13-413d-a361-6ef902b1fd57"]
}, Open  ]],

Cell["\<\

Centroid locations in the plane based on the angles.\
\>", "Text",
 CellChangeTimes->{{3.922198120349737*^9, 3.9221981273238163`*^9}, {
  3.9251876358926897`*^9, 
  3.925187643140317*^9}},ExpressionUUID->"c776e8e0-105d-4430-8b28-\
8c41376438a6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"c1", " ", "=", " ", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"pi", "+", "pj", "+", "pk"}], ")"}], "/", "3"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.922198129854631*^9, 3.922198151348084*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"33f6d9b4-ca47-4882-bce8-6d7de5b9f348"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"3", " ", 
      SuperscriptBox["lij", "2"]}], "-", 
     SuperscriptBox["ljk", "2"], "+", 
     SuperscriptBox["lki", "2"]}], 
    RowBox[{"6", " ", "lij"}]], ",", 
   RowBox[{
    FractionBox["1", "3"], " ", "lki", " ", 
    SqrtBox[
     RowBox[{"1", "-", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["lij", "2"], "-", 
          SuperscriptBox["ljk", "2"], "+", 
          SuperscriptBox["lki", "2"]}], ")"}], "2"], 
       RowBox[{"4", " ", 
        SuperscriptBox["lij", "2"], " ", 
        SuperscriptBox["lki", "2"]}]]}]]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.922198139263219*^9, 3.922198151908964*^9}, 
   3.922202539467122*^9, 3.9222087605122004`*^9, 3.925187737147464*^9},
 CellLabel->"Out[22]=",ExpressionUUID->"a48bfef0-12a4-4850-8d3b-4b634e4032c3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"c2", " ", "=", " ", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"pi", "+", "pj", "+", "pm"}], ")"}], "/", "3"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.922198141755077*^9, 3.922198165234296*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"60cbe282-03d5-4520-a94f-6b36175e35ca"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"3", " ", 
      SuperscriptBox["lij", "2"]}], "+", 
     SuperscriptBox["lim", "2"], "-", 
     SuperscriptBox["lmj", "2"]}], 
    RowBox[{"6", " ", "lij"}]], ",", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["1", "3"]}], " ", "lim", " ", 
    SqrtBox[
     RowBox[{"1", "-", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["lij", "2"], "+", 
          SuperscriptBox["lim", "2"], "-", 
          SuperscriptBox["lmj", "2"]}], ")"}], "2"], 
       RowBox[{"4", " ", 
        SuperscriptBox["lij", "2"], " ", 
        SuperscriptBox["lim", "2"]}]]}]]}]}], "}"}]], "Output",
 CellChangeTimes->{3.922198165876636*^9, 3.9222025403097363`*^9, 
  3.922208761250974*^9, 3.925187739057581*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"ee1e032d-675c-44af-ade8-10722b2046be"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"c3", " ", "=", " ", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"pj", "+", "pn", "+", "pk"}], ")"}], "/", "3"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.922202435090088*^9, 3.922202463295732*^9}},
 CellLabel->"In[24]:=",ExpressionUUID->"b1b9e011-783f-4acc-b77f-6085dc0e7167"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"ljk", "-", "lki"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"ljk", "+", "lki"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"3", " ", 
           SuperscriptBox["ljk", "2"]}], "+", 
          SuperscriptBox["ljn", "2"], "-", 
          SuperscriptBox["lnk", "2"]}], ")"}]}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["lij", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"9", " ", 
         SuperscriptBox["ljk", "2"]}], "-", 
        SuperscriptBox["ljn", "2"], "+", 
        SuperscriptBox["lnk", "2"]}], ")"}]}], "+", 
     RowBox[{"4", " ", "lij", " ", 
      SuperscriptBox["ljk", "2"], " ", "ljn", " ", 
      SqrtBox[
       RowBox[{"1", "-", 
        FractionBox[
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["lij", "2"], "+", 
            SuperscriptBox["ljk", "2"], "-", 
            SuperscriptBox["lki", "2"]}], ")"}], "2"], 
         RowBox[{"4", " ", 
          SuperscriptBox["lij", "2"], " ", 
          SuperscriptBox["ljk", "2"]}]]}]], " ", 
      SqrtBox[
       RowBox[{"1", "-", 
        FractionBox[
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["ljk", "2"], "+", 
            SuperscriptBox["ljn", "2"], "-", 
            SuperscriptBox["lnk", "2"]}], ")"}], "2"], 
         RowBox[{"4", " ", 
          SuperscriptBox["ljk", "2"], " ", 
          SuperscriptBox["ljn", "2"]}]]}]]}]}], 
    RowBox[{"12", " ", "lij", " ", 
     SuperscriptBox["ljk", "2"]}]], ",", 
   RowBox[{
    FractionBox["1", "3"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"lki", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["lij", "2"], "-", 
             SuperscriptBox["ljk", "2"], "+", 
             SuperscriptBox["lki", "2"]}], ")"}], "2"], 
          RowBox[{"4", " ", 
           SuperscriptBox["lij", "2"], " ", 
           SuperscriptBox["lki", "2"]}]]}]]}], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"2", " ", 
         SqrtBox[
          RowBox[{"1", "-", 
           FractionBox[
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["lij", "2"], "+", 
               SuperscriptBox["ljk", "2"], "-", 
               SuperscriptBox["lki", "2"]}], ")"}], "2"], 
            RowBox[{"4", " ", 
             SuperscriptBox["lij", "2"], " ", 
             SuperscriptBox["ljk", "2"]}]]}]], " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["ljk", "2"], "+", 
           SuperscriptBox["ljn", "2"], "-", 
           SuperscriptBox["lnk", "2"]}], ")"}]}], "+", 
        FractionBox[
         RowBox[{"2", " ", "ljn", " ", 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["lij", "2"], "+", 
            SuperscriptBox["ljk", "2"], "-", 
            SuperscriptBox["lki", "2"]}], ")"}], " ", 
          SqrtBox[
           RowBox[{"1", "-", 
            FractionBox[
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox["ljk", "2"], "+", 
                SuperscriptBox["ljn", "2"], "-", 
                SuperscriptBox["lnk", "2"]}], ")"}], "2"], 
             RowBox[{"4", " ", 
              SuperscriptBox["ljk", "2"], " ", 
              SuperscriptBox["ljn", "2"]}]]}]]}], "lij"]}], 
       RowBox[{"4", " ", "ljk"}]]}], ")"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.92220246478271*^9, 3.922202542472985*^9, 
  3.922208762871718*^9, 3.925187741370078*^9},
 CellLabel->"Out[24]=",ExpressionUUID->"3128eb46-3038-41b8-b0c4-861fd3ae73d0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"c4", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"pi", "+", "pk", "+", "pp"}], ")"}], "/", "3"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.922202466609927*^9, 3.922202479792774*^9}},
 CellLabel->"In[25]:=",ExpressionUUID->"17d85219-7b2c-4e48-86d7-ad43d4975b1e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    FractionBox["1", "12"], " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["lij", "2"], "-", 
          SuperscriptBox["ljk", "2"], "+", 
          SuperscriptBox["lki", "2"]}], ")"}]}], "lij"], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["lij", "2"], "-", 
          SuperscriptBox["ljk", "2"], "+", 
          SuperscriptBox["lki", "2"]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["lki", "2"], "-", 
          SuperscriptBox["lkp", "2"], "+", 
          SuperscriptBox["lpi", "2"]}], ")"}]}], 
       RowBox[{"lij", " ", 
        SuperscriptBox["lki", "2"]}]], "-", 
      RowBox[{"4", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["lij", "2"], "-", 
             SuperscriptBox["ljk", "2"], "+", 
             SuperscriptBox["lki", "2"]}], ")"}], "2"], 
          RowBox[{"4", " ", 
           SuperscriptBox["lij", "2"], " ", 
           SuperscriptBox["lki", "2"]}]]}]], " ", "lpi", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["lki", "2"], "-", 
             SuperscriptBox["lkp", "2"], "+", 
             SuperscriptBox["lpi", "2"]}], ")"}], "2"], 
          RowBox[{"4", " ", 
           SuperscriptBox["lki", "2"], " ", 
           SuperscriptBox["lpi", "2"]}]]}]]}]}], ")"}]}], ",", 
   RowBox[{
    FractionBox["1", "3"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"lki", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["lij", "2"], "-", 
             SuperscriptBox["ljk", "2"], "+", 
             SuperscriptBox["lki", "2"]}], ")"}], "2"], 
          RowBox[{"4", " ", 
           SuperscriptBox["lij", "2"], " ", 
           SuperscriptBox["lki", "2"]}]]}]]}], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"2", " ", 
         SqrtBox[
          RowBox[{"1", "-", 
           FractionBox[
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["lij", "2"], "-", 
               SuperscriptBox["ljk", "2"], "+", 
               SuperscriptBox["lki", "2"]}], ")"}], "2"], 
            RowBox[{"4", " ", 
             SuperscriptBox["lij", "2"], " ", 
             SuperscriptBox["lki", "2"]}]]}]], " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["lki", "2"], "-", 
           SuperscriptBox["lkp", "2"], "+", 
           SuperscriptBox["lpi", "2"]}], ")"}]}], "+", 
        FractionBox[
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["lij", "2"], "-", 
            SuperscriptBox["ljk", "2"], "+", 
            SuperscriptBox["lki", "2"]}], ")"}], " ", "lpi", " ", 
          SqrtBox[
           RowBox[{"1", "-", 
            FractionBox[
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox["lki", "2"], "-", 
                SuperscriptBox["lkp", "2"], "+", 
                SuperscriptBox["lpi", "2"]}], ")"}], "2"], 
             RowBox[{"4", " ", 
              SuperscriptBox["lki", "2"], " ", 
              SuperscriptBox["lpi", "2"]}]]}]]}], "lij"]}], 
       RowBox[{"4", " ", "lki"}]]}], ")"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.922202480636013*^9, 3.922202543660895*^9, 
  3.922208763435512*^9, 3.92518774447712*^9},
 CellLabel->"Out[25]=",ExpressionUUID->"246cac80-b8cb-416f-9fe0-f517f31b3dfa"]
}, Open  ]],

Cell["\<\
Draw an example of the centroid locations.  The x axis is along edge ij.\
\>", "Text",
 CellChangeTimes->{{3.922208261337778*^9, 3.9222082769694138`*^9}, {
  3.925187595556665*^9, 
  3.9251876286749363`*^9}},ExpressionUUID->"78a2f6a5-8135-42fd-92b7-\
fe7134a96b4d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Graphics", "[", 
  RowBox[{"Point", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "pi", ",", "pj", ",", "pk", ",", "pm", ",", "pn", ",", "pp", ",", " ", 
      "c1", ",", " ", "c2", ",", " ", "c3", ",", " ", "c4"}], "}"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"lij", "->", "1"}], ",", 
      RowBox[{"ljk", "->", "1"}], ",", 
      RowBox[{"lki", "->", "1"}], ",", 
      RowBox[{"ljn", "->", "1"}], ",", 
      RowBox[{"lnk", "->", "1"}], ",", 
      RowBox[{"lkp", "->", "1"}], ",", 
      RowBox[{"lpi", "->", "1"}], ",", 
      RowBox[{"lim", "->", "1"}], ",", 
      RowBox[{"lmj", "->", "1"}]}], "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.922208310491393*^9, 3.9222083926680927`*^9}, {
  3.922208433185124*^9, 3.922208439469927*^9}, {3.922208480030905*^9, 
  3.922208480397197*^9}, {3.922208515679961*^9, 3.92220853961443*^9}, {
  3.922208575040955*^9, 3.922208576640526*^9}, {3.922208711969941*^9, 
  3.922208729857021*^9}, {3.922208766737804*^9, 3.922208769890909*^9}},
 CellLabel->"In[26]:=",ExpressionUUID->"778293f5-c8a7-4985-a9be-5c4a45eb1d1b"],

Cell[BoxData[
 GraphicsBox[
  PointBox[NCache[{{0, 0}, {1, 0}, {
     Rational[1, 2], Rational[1, 2] 3^Rational[1, 2]}, {
     Rational[1, 2], Rational[-1, 2] 3^Rational[1, 2]}, {
     Rational[3, 2], Rational[1, 2] 3^Rational[1, 2]}, {
     Rational[-1, 2], Rational[1, 2] 3^Rational[1, 2]}, {
     Rational[1, 2], Rational[1, 2] 3^Rational[-1, 2]}, {
     Rational[1, 2], Rational[-1, 2] 3^Rational[-1, 2]}, {
     1, 3^Rational[-1, 2]}, {0, 3^Rational[-1, 2]}}, {{0, 0}, {1, 0}, {0.5, 
     0.8660254037844386}, {0.5, -0.8660254037844386}, {1.5, 
     0.8660254037844386}, {-0.5, 0.8660254037844386}, {0.5, 
     0.2886751345948129}, {0.5, -0.2886751345948129}, {
     1, 0.5773502691896258}, {0, 0.5773502691896258}}]]]], "Output",
 CellChangeTimes->{
  3.922208393346581*^9, {3.922208433935305*^9, 3.922208439855616*^9}, 
   3.9222084831178217`*^9, {3.922208516911661*^9, 3.922208539953351*^9}, 
   3.922208576960672*^9, {3.922208716323659*^9, 3.922208724967267*^9}, 
   3.922208770359663*^9, 3.925187747114194*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"148282ae-bb7e-4fda-9fc9-78bc6c6d2a31"]
}, Open  ]],

Cell["\<\

Distances between the centroids.\
\>", "Text",
 CellChangeTimes->{{3.922198190383703*^9, 3.922198196886731*^9}, 
   3.925187233216098*^9},ExpressionUUID->"78d00c8a-befa-4dcb-8c9f-\
5bd09bed22de"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dlij", "=", 
  RowBox[{"Assuming", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"lij", ">", "0"}], ",", 
      RowBox[{"ljk", ">", "0"}], ",", 
      RowBox[{"lki", ">", "0"}], ",", 
      RowBox[{"lim", ">", "0"}], ",", 
      RowBox[{"lmj", ">", "0"}]}], "}"}], ",", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"Dot", "[", 
       RowBox[{
        RowBox[{"c2", "-", "c1"}], ",", " ", 
        RowBox[{"c2", "-", "c1"}]}], "]"}], "]"}], "]"}]}], "]"}]}]], "Input",\

 CellChangeTimes->{{3.922198217221442*^9, 3.922198233674653*^9}, {
  3.922198298506755*^9, 3.9221983047085247`*^9}, {3.922198382261668*^9, 
  3.922198403527793*^9}, {3.92219843420089*^9, 3.9221984350241127`*^9}},
 CellLabel->"In[27]:=",ExpressionUUID->"9d8b59a5-5a06-4621-b6f7-e27a93b831ac"],

Cell[BoxData[
 SqrtBox[
  RowBox[{
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["lim", "2"], "+", 
       SuperscriptBox["ljk", "2"], "-", 
       SuperscriptBox["lki", "2"], "-", 
       SuperscriptBox["lmj", "2"]}], ")"}], "2"], 
    RowBox[{"36", " ", 
     SuperscriptBox["lij", "2"]}]], "+", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "3"], " ", "lki", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["lij", "2"], "-", 
             SuperscriptBox["ljk", "2"], "+", 
             SuperscriptBox["lki", "2"]}], ")"}], "2"], 
          RowBox[{"4", " ", 
           SuperscriptBox["lij", "2"], " ", 
           SuperscriptBox["lki", "2"]}]]}]]}], "+", 
      RowBox[{
       FractionBox["1", "3"], " ", "lim", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["lij", "2"], "+", 
             SuperscriptBox["lim", "2"], "-", 
             SuperscriptBox["lmj", "2"]}], ")"}], "2"], 
          RowBox[{"4", " ", 
           SuperscriptBox["lij", "2"], " ", 
           SuperscriptBox["lim", "2"]}]]}]]}]}], ")"}], "2"]}]]], "Output",
 CellChangeTimes->{
  3.922198235674179*^9, 3.922198306995145*^9, {3.922198408645596*^9, 
   3.922198435680913*^9}, {3.922202532584117*^9, 3.922202545250736*^9}, 
   3.922208775468747*^9, 3.925187750936357*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"c943b657-c209-4456-87a2-dc7defedb7b5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dljk", " ", "=", " ", 
  RowBox[{"Assuming", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"lij", ">", "0"}], ",", 
      RowBox[{"ljk", ">", "0"}], ",", 
      RowBox[{"lki", ">", "0"}], ",", 
      RowBox[{"lim", ">", "0"}], ",", 
      RowBox[{"lmj", ">", "0"}]}], "}"}], ",", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"Dot", "[", 
       RowBox[{
        RowBox[{"c3", "-", "c1"}], ",", " ", 
        RowBox[{"c3", "-", "c1"}]}], "]"}], "]"}], "]"}]}], "]"}]}]], "Input",\

 CellChangeTimes->{{3.922202498179472*^9, 3.922202517584516*^9}},
 CellLabel->"In[28]:=",ExpressionUUID->"70347364-bd5d-4300-9057-fe3359c8df9e"],

Cell[BoxData[
 FractionBox[
  SqrtBox[
   RowBox[{
    RowBox[{"-", 
     SuperscriptBox["ljk", "4"]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["lij", "2"]}], "+", 
       SuperscriptBox["lki", "2"]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"ljn", "-", "lnk"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"ljn", "+", "lnk"}], ")"}]}], "+", 
    RowBox[{"ljn", " ", 
     SqrtBox[
      RowBox[{"-", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"lij", "-", "ljk", "-", "lki"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"lij", "+", "ljk", "-", "lki"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"lij", "-", "ljk", "+", "lki"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"lij", "+", "ljk", "+", "lki"}], ")"}]}], ")"}]}]], " ", 
     SqrtBox[
      RowBox[{"-", 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "ljk"}], "+", "ljn", "-", "lnk"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"ljk", "+", "ljn", "-", "lnk"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "ljk"}], "+", "ljn", "+", "lnk"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"ljk", "+", "ljn", "+", "lnk"}], ")"}]}], 
        SuperscriptBox["ljn", "2"]]}]]}], "+", 
    RowBox[{
     SuperscriptBox["ljk", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["lij", "2"], "+", 
       SuperscriptBox["ljn", "2"], "+", 
       SuperscriptBox["lki", "2"], "+", 
       SuperscriptBox["lnk", "2"]}], ")"}]}]}]], 
  RowBox[{"3", " ", 
   SqrtBox["2"], " ", "ljk"}]]], "Output",
 CellChangeTimes->{{3.9222025308736053`*^9, 3.922202547254261*^9}, 
   3.92220877685986*^9, 3.925187752018322*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"a3fa2733-9c3f-4240-aeed-ec6d299759c4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dlki", " ", "=", " ", 
  RowBox[{"Assuming", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"lij", ">", "0"}], ",", 
      RowBox[{"ljk", ">", "0"}], ",", 
      RowBox[{"lki", ">", "0"}], ",", 
      RowBox[{"lim", ">", "0"}], ",", 
      RowBox[{"lmj", ">", "0"}]}], "}"}], ",", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"Dot", "[", 
       RowBox[{
        RowBox[{"c4", "-", "c1"}], ",", " ", 
        RowBox[{"c4", "-", "c1"}]}], "]"}], "]"}], "]"}]}], "]"}]}]], "Input",\

 CellChangeTimes->{{3.922202556674357*^9, 3.922202573458976*^9}},
 CellLabel->"In[29]:=",ExpressionUUID->"ad0aeab8-7c74-4bf8-a6d4-3b1fc120fd91"],

Cell[BoxData[
 FractionBox[
  SqrtBox[
   RowBox[{
    RowBox[{"-", 
     SuperscriptBox["lki", "4"]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"lij", "-", "ljk"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"lij", "+", "ljk"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"lkp", "-", "lpi"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"lkp", "+", "lpi"}], ")"}]}], "+", 
    RowBox[{
     SqrtBox[
      RowBox[{"-", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"lij", "-", "ljk", "-", "lki"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"lij", "+", "ljk", "-", "lki"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"lij", "-", "ljk", "+", "lki"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"lij", "+", "ljk", "+", "lki"}], ")"}]}], ")"}]}]], " ", 
     "lpi", " ", 
     SqrtBox[
      RowBox[{"-", 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{"lki", "-", "lkp", "-", "lpi"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"lki", "+", "lkp", "-", "lpi"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"lki", "-", "lkp", "+", "lpi"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"lki", "+", "lkp", "+", "lpi"}], ")"}]}], 
        SuperscriptBox["lpi", "2"]]}]]}], "+", 
    RowBox[{
     SuperscriptBox["lki", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["lij", "2"], "+", 
       SuperscriptBox["ljk", "2"], "+", 
       SuperscriptBox["lkp", "2"], "+", 
       SuperscriptBox["lpi", "2"]}], ")"}]}]}]], 
  RowBox[{"3", " ", 
   SqrtBox["2"], " ", "lki"}]]], "Output",
 CellChangeTimes->{3.9222025757185163`*^9, 3.9222087780056868`*^9, 
  3.925187753643306*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"19cd9431-6011-4885-8043-e145a409cd17"]
}, Open  ]],

Cell["\<\
Vectors of length 1/(dual edge length across edge) in the direction of the \
adjacent centroid.  In our code, we just use the formulas for these vectors; \
dual edge lengths and directions are recovered by taking norms.\
\>", "Text",
 CellChangeTimes->{{3.9251874913674726`*^9, 3.925187563299609*^9}, {
  3.925187771031423*^9, 
  3.9251878239115963`*^9}},ExpressionUUID->"616452f7-c748-4641-8b2c-\
bae5b1543820"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"eij", " ", "=", " ", 
  RowBox[{"Assuming", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"lij", ">", "0"}], ",", 
      RowBox[{"ljk", ">", "0"}], ",", 
      RowBox[{"lki", ">", "0"}], ",", 
      RowBox[{"lim", ">", "0"}], ",", 
      RowBox[{"lmj", ">", "0"}]}], "}"}], ",", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"c2", "-", "c1"}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"dlij", "^", "2"}], ")"}]}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.922198317711833*^9, 3.922198325494363*^9}, {
  3.922198417013362*^9, 3.922198420905258*^9}, {3.922198452341309*^9, 
  3.922198456309636*^9}, {3.922198554013768*^9, 3.922198554723171*^9}, {
  3.922203268222415*^9, 3.922203271053533*^9}, {3.9222075973608313`*^9, 
  3.922207598815424*^9}},
 CellLabel->"In[30]:=",ExpressionUUID->"b119d9e3-6dad-4ab8-b365-831e5b488ed8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{"3", " ", "lij", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["lim", "2"]}], "-", 
       SuperscriptBox["ljk", "2"], "+", 
       SuperscriptBox["lki", "2"], "+", 
       SuperscriptBox["lmj", "2"]}], ")"}]}], 
    RowBox[{
     SuperscriptBox["lij", "4"], "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"ljk", "-", "lki"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"ljk", "+", "lki"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"lim", "-", "lmj"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"lim", "+", "lmj"}], ")"}]}], "-", 
     RowBox[{
      SqrtBox[
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"lij", "-", "ljk", "-", "lki"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"lij", "+", "ljk", "-", "lki"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"lij", "-", "ljk", "+", "lki"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"lij", "+", "ljk", "+", "lki"}], ")"}]}], ")"}]}]], " ", 
      SqrtBox[
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"lij", "-", "lim", "-", "lmj"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"lij", "+", "lim", "-", "lmj"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"lij", "-", "lim", "+", "lmj"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"lij", "+", "lim", "+", "lmj"}], ")"}]}], ")"}]}]]}], "-", 
     
     RowBox[{
      SuperscriptBox["lij", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["lim", "2"], "+", 
        SuperscriptBox["ljk", "2"], "+", 
        SuperscriptBox["lki", "2"], "+", 
        SuperscriptBox["lmj", "2"]}], ")"}]}]}]], ",", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{
      RowBox[{"2", " ", "lki", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["lij", "2"], "-", 
             SuperscriptBox["ljk", "2"], "+", 
             SuperscriptBox["lki", "2"]}], ")"}], "2"], 
          RowBox[{"4", " ", 
           SuperscriptBox["lij", "2"], " ", 
           SuperscriptBox["lki", "2"]}]]}]]}], "+", 
      RowBox[{"2", " ", "lim", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["lij", "2"], "+", 
             SuperscriptBox["lim", "2"], "-", 
             SuperscriptBox["lmj", "2"]}], ")"}], "2"], 
          RowBox[{"4", " ", 
           SuperscriptBox["lij", "2"], " ", 
           SuperscriptBox["lim", "2"]}]]}]]}]}], 
     RowBox[{"6", " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["lim", "2"], "+", 
            SuperscriptBox["ljk", "2"], "-", 
            SuperscriptBox["lki", "2"], "-", 
            SuperscriptBox["lmj", "2"]}], ")"}], "2"], 
         RowBox[{"36", " ", 
          SuperscriptBox["lij", "2"]}]], "+", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            FractionBox["1", "3"], " ", "lki", " ", 
            SqrtBox[
             RowBox[{"1", "-", 
              FractionBox[
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox["lij", "2"], "-", 
                  SuperscriptBox["ljk", "2"], "+", 
                  SuperscriptBox["lki", "2"]}], ")"}], "2"], 
               RowBox[{"4", " ", 
                SuperscriptBox["lij", "2"], " ", 
                SuperscriptBox["lki", "2"]}]]}]]}], "+", 
           RowBox[{
            FractionBox["1", "3"], " ", "lim", " ", 
            SqrtBox[
             RowBox[{"1", "-", 
              FractionBox[
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox["lij", "2"], "+", 
                  SuperscriptBox["lim", "2"], "-", 
                  SuperscriptBox["lmj", "2"]}], ")"}], "2"], 
               RowBox[{"4", " ", 
                SuperscriptBox["lij", "2"], " ", 
                SuperscriptBox["lim", "2"]}]]}]]}]}], ")"}], "2"]}], 
       ")"}]}]]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.92219831903689*^9, 3.922198326078245*^9}, 
   3.9221984219639463`*^9, 3.922198460097905*^9, 3.9221985555066853`*^9, 
   3.9222025858450203`*^9, 3.9222032729031687`*^9, 3.922207600305717*^9, 
   3.922208779792961*^9, 3.925187759506486*^9},
 CellLabel->"Out[30]=",ExpressionUUID->"24dd09a9-be0b-4a06-8d00-9ec505789b89"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ejk", " ", "=", " ", 
  RowBox[{"Assuming", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"lij", ">", "0"}], ",", 
      RowBox[{"ljk", ">", "0"}], ",", 
      RowBox[{"lki", ">", "0"}], ",", 
      RowBox[{"lim", ">", "0"}], ",", 
      RowBox[{"lmj", ">", "0"}]}], "}"}], ",", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"c3", "-", "c1"}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"dljk", "^", "2"}], ")"}]}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.922202584383564*^9, 3.9222026063233423`*^9}, {
  3.922203256270135*^9, 3.922203259566415*^9}},
 CellLabel->"In[31]:=",ExpressionUUID->"e109730f-adbf-4735-aa33-4ecab9a6685c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"3", " ", "ljn", " ", 
      SqrtBox[
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"lij", "-", "ljk", "-", "lki"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"lij", "+", "ljk", "-", "lki"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"lij", "-", "ljk", "+", "lki"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"lij", "+", "ljk", "+", "lki"}], ")"}]}], ")"}]}]], " ", 
      SqrtBox[
       RowBox[{"-", 
        FractionBox[
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "ljk"}], "+", "ljn", "-", "lnk"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"ljk", "+", "ljn", "-", "lnk"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "ljk"}], "+", "ljn", "+", "lnk"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"ljk", "+", "ljn", "+", "lnk"}], ")"}]}], 
         SuperscriptBox["ljn", "2"]]}]]}], "-", 
     RowBox[{"3", " ", 
      RowBox[{"(", 
       RowBox[{"ljk", "-", "lki"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"ljk", "+", "lki"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["ljk", "2"], "+", 
        SuperscriptBox["ljn", "2"], "-", 
        SuperscriptBox["lnk", "2"]}], ")"}]}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["lij", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"3", " ", 
         SuperscriptBox["ljk", "2"]}], "-", 
        SuperscriptBox["ljn", "2"], "+", 
        SuperscriptBox["lnk", "2"]}], ")"}]}]}], 
    RowBox[{"2", " ", "lij", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["ljk", "4"]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["lij", "2"]}], "+", 
          SuperscriptBox["lki", "2"]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"ljn", "-", "lnk"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"ljn", "+", "lnk"}], ")"}]}], "+", 
       RowBox[{"ljn", " ", 
        SqrtBox[
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"lij", "-", "ljk", "-", "lki"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"lij", "+", "ljk", "-", "lki"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"lij", "-", "ljk", "+", "lki"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"lij", "+", "ljk", "+", "lki"}], ")"}]}], ")"}]}]], " ", 
        
        SqrtBox[
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "ljk"}], "+", "ljn", "-", "lnk"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"ljk", "+", "ljn", "-", "lnk"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "ljk"}], "+", "ljn", "+", "lnk"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"ljk", "+", "ljn", "+", "lnk"}], ")"}]}], 
           SuperscriptBox["ljn", "2"]]}]]}], "+", 
       RowBox[{
        SuperscriptBox["ljk", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["lij", "2"], "+", 
          SuperscriptBox["ljn", "2"], "+", 
          SuperscriptBox["lki", "2"], "+", 
          SuperscriptBox["lnk", "2"]}], ")"}]}]}], ")"}]}]], ",", 
   FractionBox[
    RowBox[{"3", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox["lij", "2"], " ", "ljn", " ", 
        SqrtBox[
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "ljk"}], "+", "ljn", "-", "lnk"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"ljk", "+", "ljn", "-", "lnk"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "ljk"}], "+", "ljn", "+", "lnk"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"ljk", "+", "ljn", "+", "lnk"}], ")"}]}], 
           SuperscriptBox["ljn", "2"]]}]]}], "+", 
       RowBox[{"ljn", " ", 
        RowBox[{"(", 
         RowBox[{"ljk", "-", "lki"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"ljk", "+", "lki"}], ")"}], " ", 
        SqrtBox[
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "ljk"}], "+", "ljn", "-", "lnk"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"ljk", "+", "ljn", "-", "lnk"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "ljk"}], "+", "ljn", "+", "lnk"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"ljk", "+", "ljn", "+", "lnk"}], ")"}]}], 
           SuperscriptBox["ljn", "2"]]}]]}], "+", 
       RowBox[{
        SqrtBox[
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"lij", "-", "ljk", "-", "lki"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"lij", "+", "ljk", "-", "lki"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"lij", "-", "ljk", "+", "lki"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"lij", "+", "ljk", "+", "lki"}], ")"}]}], ")"}]}]], " ", 
        
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["ljk", "2"], "+", 
          SuperscriptBox["ljn", "2"], "-", 
          SuperscriptBox["lnk", "2"]}], ")"}]}]}], ")"}]}], 
    RowBox[{"2", " ", "lij", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["ljk", "4"]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["lij", "2"]}], "+", 
          SuperscriptBox["lki", "2"]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"ljn", "-", "lnk"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"ljn", "+", "lnk"}], ")"}]}], "+", 
       RowBox[{"ljn", " ", 
        SqrtBox[
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"lij", "-", "ljk", "-", "lki"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"lij", "+", "ljk", "-", "lki"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"lij", "-", "ljk", "+", "lki"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"lij", "+", "ljk", "+", "lki"}], ")"}]}], ")"}]}]], " ", 
        
        SqrtBox[
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "ljk"}], "+", "ljn", "-", "lnk"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"ljk", "+", "ljn", "-", "lnk"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "ljk"}], "+", "ljn", "+", "lnk"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"ljk", "+", "ljn", "+", "lnk"}], ")"}]}], 
           SuperscriptBox["ljn", "2"]]}]]}], "+", 
       RowBox[{
        SuperscriptBox["ljk", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["lij", "2"], "+", 
          SuperscriptBox["ljn", "2"], "+", 
          SuperscriptBox["lki", "2"], "+", 
          SuperscriptBox["lnk", "2"]}], ")"}]}]}], ")"}]}]]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.922202609980589*^9, {3.9222032611545753`*^9, 3.9222032752724648`*^9}, 
   3.922208781731951*^9, 3.925187763826786*^9},
 CellLabel->"Out[31]=",ExpressionUUID->"71d1172c-afc1-4798-bb20-0604f95ebbc5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"eki", "=", 
  RowBox[{"Assuming", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"lij", ">", "0"}], ",", 
      RowBox[{"ljk", ">", "0"}], ",", 
      RowBox[{"lki", ">", "0"}], ",", 
      RowBox[{"lim", ">", "0"}], ",", 
      RowBox[{"lmj", ">", "0"}]}], "}"}], ",", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"c4", "-", "c1"}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"dlki", "^", "2"}], ")"}]}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.92220261326776*^9, 3.922202627379361*^9}, {
  3.922203249614662*^9, 3.922203253501431*^9}},
 CellLabel->"In[32]:=",ExpressionUUID->"49f540a5-f3aa-4021-aa0f-7dc8fe71837e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"3", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SqrtBox[
          RowBox[{"-", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"lij", "-", "ljk", "-", "lki"}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{"lij", "+", "ljk", "-", "lki"}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{"lij", "-", "ljk", "+", "lki"}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{"lij", "+", "ljk", "+", "lki"}], ")"}]}], ")"}]}]], " ",
          "lpi", " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            RowBox[{
             RowBox[{"(", 
              RowBox[{"lki", "-", "lkp", "-", "lpi"}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{"lki", "+", "lkp", "-", "lpi"}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{"lki", "-", "lkp", "+", "lpi"}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{"lki", "+", "lkp", "+", "lpi"}], ")"}]}], 
            SuperscriptBox["lpi", "2"]]}]]}], "+", 
        RowBox[{
         SuperscriptBox["lij", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"3", " ", 
            SuperscriptBox["lki", "2"]}], "+", 
           SuperscriptBox["lkp", "2"], "-", 
           SuperscriptBox["lpi", "2"]}], ")"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"ljk", "-", "lki"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"ljk", "+", "lki"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["lki", "2"], "-", 
           SuperscriptBox["lkp", "2"], "+", 
           SuperscriptBox["lpi", "2"]}], ")"}]}]}], ")"}]}], 
     RowBox[{"2", " ", "lij", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["lki", "4"]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"lij", "-", "ljk"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"lij", "+", "ljk"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"lkp", "-", "lpi"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"lkp", "+", "lpi"}], ")"}]}], "+", 
        RowBox[{
         SqrtBox[
          RowBox[{"-", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"lij", "-", "ljk", "-", "lki"}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{"lij", "+", "ljk", "-", "lki"}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{"lij", "-", "ljk", "+", "lki"}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{"lij", "+", "ljk", "+", "lki"}], ")"}]}], ")"}]}]], " ",
          "lpi", " ", 
         SqrtBox[
          RowBox[{"-", 
           FractionBox[
            RowBox[{
             RowBox[{"(", 
              RowBox[{"lki", "-", "lkp", "-", "lpi"}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{"lki", "+", "lkp", "-", "lpi"}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{"lki", "-", "lkp", "+", "lpi"}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{"lki", "+", "lkp", "+", "lpi"}], ")"}]}], 
            SuperscriptBox["lpi", "2"]]}]]}], "+", 
        RowBox[{
         SuperscriptBox["lki", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["lij", "2"], "+", 
           SuperscriptBox["ljk", "2"], "+", 
           SuperscriptBox["lkp", "2"], "+", 
           SuperscriptBox["lpi", "2"]}], ")"}]}]}], ")"}]}]]}], ",", 
   FractionBox[
    RowBox[{"3", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox["lij", "2"], " ", "lpi", " ", 
        SqrtBox[
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             RowBox[{"lki", "-", "lkp", "-", "lpi"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"lki", "+", "lkp", "-", "lpi"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"lki", "-", "lkp", "+", "lpi"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"lki", "+", "lkp", "+", "lpi"}], ")"}]}], 
           SuperscriptBox["lpi", "2"]]}]]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["ljk", "2"]}], "+", 
          SuperscriptBox["lki", "2"]}], ")"}], " ", "lpi", " ", 
        SqrtBox[
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             RowBox[{"lki", "-", "lkp", "-", "lpi"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"lki", "+", "lkp", "-", "lpi"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"lki", "-", "lkp", "+", "lpi"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"lki", "+", "lkp", "+", "lpi"}], ")"}]}], 
           SuperscriptBox["lpi", "2"]]}]]}], "+", 
       RowBox[{
        SqrtBox[
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"lij", "-", "ljk", "-", "lki"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"lij", "+", "ljk", "-", "lki"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"lij", "-", "ljk", "+", "lki"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"lij", "+", "ljk", "+", "lki"}], ")"}]}], ")"}]}]], " ", 
        
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["lki", "2"], "-", 
          SuperscriptBox["lkp", "2"], "+", 
          SuperscriptBox["lpi", "2"]}], ")"}]}]}], ")"}]}], 
    RowBox[{"2", " ", "lij", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["lki", "4"]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"lij", "-", "ljk"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"lij", "+", "ljk"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"lkp", "-", "lpi"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"lkp", "+", "lpi"}], ")"}]}], "+", 
       RowBox[{
        SqrtBox[
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"lij", "-", "ljk", "-", "lki"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"lij", "+", "ljk", "-", "lki"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"lij", "-", "ljk", "+", "lki"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"lij", "+", "ljk", "+", "lki"}], ")"}]}], ")"}]}]], " ", 
        "lpi", " ", 
        SqrtBox[
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             RowBox[{"lki", "-", "lkp", "-", "lpi"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"lki", "+", "lkp", "-", "lpi"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"lki", "-", "lkp", "+", "lpi"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"lki", "+", "lkp", "+", "lpi"}], ")"}]}], 
           SuperscriptBox["lpi", "2"]]}]]}], "+", 
       RowBox[{
        SuperscriptBox["lki", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["lij", "2"], "+", 
          SuperscriptBox["ljk", "2"], "+", 
          SuperscriptBox["lkp", "2"], "+", 
          SuperscriptBox["lpi", "2"]}], ")"}]}]}], ")"}]}]]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.922202630070035*^9, {3.92220325509733*^9, 3.9222032766853538`*^9}, 
   3.922208783749873*^9, 3.9251877692525587`*^9},
 CellLabel->"Out[32]=",ExpressionUUID->"86ef2409-7c96-4592-b838-38ffb16b0d7b"]
}, Open  ]],

Cell["\<\


FortranForms of eij/ejk/eki.\
\>", "Text",
 CellChangeTimes->{{3.922202635354246*^9, 3.922202648402896*^9}, {
  3.922202682164373*^9, 3.922202689220067*^9}, {3.9222076318239317`*^9, 
  3.922207633423998*^9}, {3.925187479330579*^9, 3.925187485922179*^9}, {
  3.925187569988162*^9, 3.9251875741171293`*^9}, {3.925187658293344*^9, 
  3.925187674661275*^9}},ExpressionUUID->"89b6237c-f1f9-422b-bc97-\
3c6aea60c865"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", "eij", "]"}]], "Input",
 CellChangeTimes->{{3.922203286078668*^9, 3.922203290173269*^9}},
 CellLabel->"In[33]:=",ExpressionUUID->"c1cf1882-e882-45c3-8f55-54d1595c603c"],

Cell["\<\
        List((3*lij*(-lim**2 - ljk**2 + lki**2 + lmj**2))/
     -   (lij**4 - (ljk - lki)*(ljk + lki)*(lim - lmj)*(lim + lmj) - \
Sqrt(-((lij - ljk - lki)*(lij + ljk - lki)*(lij - ljk + lki)*(lij + ljk + \
lki)))*
     -      Sqrt(-((lij - lim - lmj)*(lij + lim - lmj)*(lij - lim + lmj)*(lij \
+ lim + lmj))) - lij**2*(lim**2 + ljk**2 + lki**2 + lmj**2)),
     -  -0.16666666666666666*(2*lki*Sqrt(1 - (lij**2 - ljk**2 + \
lki**2)**2/(4.*lij**2*lki**2)) + 2*lim*Sqrt(1 - (lij**2 + lim**2 - \
lmj**2)**2/(4.*lij**2*lim**2)))/
     -    ((lim**2 + ljk**2 - lki**2 - lmj**2)**2/(36.*lij**2) + ((lki*Sqrt(1 \
- (lij**2 - ljk**2 + lki**2)**2/(4.*lij**2*lki**2)))/3. + (lim*Sqrt(1 - \
(lij**2 + lim**2 - lmj**2)**2/(4.*lij**2*lim**2)))/3.)**2))\
\>", "Output",
 CellChangeTimes->{3.922203290557768*^9, 3.922207637741955*^9, 
  3.922208784942841*^9, 3.925187807936685*^9},
 CellLabel->
  "Out[33]//FortranForm=",ExpressionUUID->"d3bdd62a-bb3a-4534-a30c-\
b60eb97d93d2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", "ejk", "]"}]], "Input",
 CellChangeTimes->{{3.922204575901649*^9, 3.922204578764875*^9}},
 CellLabel->"In[34]:=",ExpressionUUID->"6c7afa11-91d3-4487-b3ef-6141a229f5a8"],

Cell["\<\
        List((3*ljn*Sqrt(-((lij - ljk - lki)*(lij + ljk - lki)*(lij - ljk + \
lki)*(lij + ljk + lki)))*Sqrt(-(((-ljk + ljn - lnk)*(ljk + ljn - lnk)*(-ljk + \
ljn + lnk)*(ljk + ljn + lnk))/ljn**2)) - 
     -     3*(ljk - lki)*(ljk + lki)*(ljk**2 + ljn**2 - lnk**2) + \
3*lij**2*(3*ljk**2 - ljn**2 + lnk**2))/
     -   (2.*lij*(-ljk**4 + (-lij**2 + lki**2)*(ljn - lnk)*(ljn + lnk) + \
ljn*Sqrt(-((lij - ljk - lki)*(lij + ljk - lki)*(lij - ljk + lki)*(lij + ljk + \
lki)))*
     -        Sqrt(-(((-ljk + ljn - lnk)*(ljk + ljn - lnk)*(-ljk + ljn + \
lnk)*(ljk + ljn + lnk))/ljn**2)) + ljk**2*(lij**2 + ljn**2 + lki**2 + \
lnk**2))),
     -  (3*(lij**2*ljn*Sqrt(-(((-ljk + ljn - lnk)*(ljk + ljn - lnk)*(-ljk + \
ljn + lnk)*(ljk + ljn + lnk))/ljn**2)) + 
     -       ljn*(ljk - lki)*(ljk + lki)*Sqrt(-(((-ljk + ljn - lnk)*(ljk + \
ljn - lnk)*(-ljk + ljn + lnk)*(ljk + ljn + lnk))/ljn**2)) + 
     -       Sqrt(-((lij - ljk - lki)*(lij + ljk - lki)*(lij - ljk + \
lki)*(lij + ljk + lki)))*(ljk**2 + ljn**2 - lnk**2)))/
     -   (2.*lij*(-ljk**4 + (-lij**2 + lki**2)*(ljn - lnk)*(ljn + lnk) + \
ljn*Sqrt(-((lij - ljk - lki)*(lij + ljk - lki)*(lij - ljk + lki)*(lij + ljk + \
lki)))*
     -        Sqrt(-(((-ljk + ljn - lnk)*(ljk + ljn - lnk)*(-ljk + ljn + \
lnk)*(ljk + ljn + lnk))/ljn**2)) + ljk**2*(lij**2 + ljn**2 + lki**2 + \
lnk**2))))\
\>", "Output",
 CellChangeTimes->{3.922204579575976*^9, 3.922208786352384*^9, 
  3.922209125577097*^9, 3.9251878089617977`*^9},
 CellLabel->
  "Out[34]//FortranForm=",ExpressionUUID->"3eb88bd3-1830-4722-b347-\
a60a3c816e54"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", "eki", "]"}]], "Input",
 CellChangeTimes->{{3.9222046734746103`*^9, 3.922204676512935*^9}},
 CellLabel->"In[35]:=",ExpressionUUID->"7b58b132-05d3-478b-8726-618980c05397"],

Cell["\<\
        List((-3*(Sqrt(-((lij - ljk - lki)*(lij + ljk - lki)*(lij - ljk + \
lki)*(lij + ljk + lki)))*lpi*Sqrt(-(((lki - lkp - lpi)*(lki + lkp - lpi)*(lki \
- lkp + lpi)*(lki + lkp + lpi))/lpi**2)) + 
     -       lij**2*(3*lki**2 + lkp**2 - lpi**2) + (ljk - lki)*(ljk + \
lki)*(lki**2 - lkp**2 + lpi**2)))/
     -   (2.*lij*(-lki**4 + (lij - ljk)*(lij + ljk)*(lkp - lpi)*(lkp + lpi) + \
Sqrt(-((lij - ljk - lki)*(lij + ljk - lki)*(lij - ljk + lki)*(lij + ljk + \
lki)))*lpi*
     -        Sqrt(-(((lki - lkp - lpi)*(lki + lkp - lpi)*(lki - lkp + \
lpi)*(lki + lkp + lpi))/lpi**2)) + lki**2*(lij**2 + ljk**2 + lkp**2 + \
lpi**2))),
     -  (3*(lij**2*lpi*Sqrt(-(((lki - lkp - lpi)*(lki + lkp - lpi)*(lki - lkp \
+ lpi)*(lki + lkp + lpi))/lpi**2)) + (-ljk**2 + lki**2)*lpi*Sqrt(-(((lki - \
lkp - lpi)*(lki + lkp - lpi)*(lki - lkp + lpi)*(lki + lkp + lpi))/lpi**2)) + 
     -       Sqrt(-((lij - ljk - lki)*(lij + ljk - lki)*(lij - ljk + \
lki)*(lij + ljk + lki)))*(lki**2 - lkp**2 + lpi**2)))/
     -   (2.*lij*(-lki**4 + (lij - ljk)*(lij + ljk)*(lkp - lpi)*(lkp + lpi) + \
Sqrt(-((lij - ljk - lki)*(lij + ljk - lki)*(lij - ljk + lki)*(lij + ljk + \
lki)))*lpi*
     -        Sqrt(-(((lki - lkp - lpi)*(lki + lkp - lpi)*(lki - lkp + \
lpi)*(lki + lkp + lpi))/lpi**2)) + lki**2*(lij**2 + ljk**2 + lkp**2 + \
lpi**2))))\
\>", "Output",
 CellChangeTimes->{3.922204677113719*^9, 3.9222087876366253`*^9, 
  3.922209126787806*^9, 3.9251878101511307`*^9},
 CellLabel->
  "Out[35]//FortranForm=",ExpressionUUID->"1a93a5b5-4d1a-417d-9473-\
0b551c2472d2"]
}, Open  ]]
},
WindowSize->{1867.5, 1032},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"14.0 for Linux x86 (64-bit) (December 12, 2023)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"22687122-68e0-414a-8e98-fc66847ef8c2"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 203, 4, 35, "Text",ExpressionUUID->"4c39c3e4-ded4-49bb-a387-89d90d90bae7"],
Cell[764, 26, 182, 3, 35, "Text",ExpressionUUID->"2929df37-24f5-4bea-a477-24e37501d1fa"],
Cell[949, 31, 367, 7, 35, "Text",ExpressionUUID->"9270c2c1-f980-43e9-bb75-7a15f89b4496"],
Cell[CellGroupData[{
Cell[1341, 42, 445, 12, 50, "Input",ExpressionUUID->"f3b168b6-0a59-49a3-b3ae-77e765799127"],
Cell[1789, 56, 341, 8, 56, "Output",ExpressionUUID->"e26f8bed-94ca-47cb-b62d-6e7783e43b26"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2167, 69, 303, 6, 29, "Input",ExpressionUUID->"62fee429-c19d-4352-a8af-58a239f43094"],
Cell[2473, 77, 637, 16, 62, "Output",ExpressionUUID->"2f0a5d17-e84a-4944-8530-c1f0f5be154c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3147, 98, 497, 12, 29, "Input",ExpressionUUID->"97aa574d-840e-4ddc-b145-4f2f5c3afa22"],
Cell[3647, 112, 477, 10, 56, "Output",ExpressionUUID->"b93f50c4-a509-4910-b0c1-8a4933dc9170"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4161, 127, 304, 6, 29, "Input",ExpressionUUID->"358dad28-db32-46ce-b1d8-fabc4d7e3c4a"],
Cell[4468, 135, 639, 16, 62, "Output",ExpressionUUID->"eb931382-df40-410b-98e1-6e395065ba47"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5144, 156, 265, 5, 29, "Input",ExpressionUUID->"88e124f8-43ee-4afb-bbb2-ac7d651def2e"],
Cell[5412, 163, 845, 22, 71, "Output",ExpressionUUID->"8ad1f3e9-50c2-499c-ad24-ebb516097263"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6294, 190, 265, 5, 29, "Input",ExpressionUUID->"c8b5c182-85ef-43c4-9196-4cf04514019a"],
Cell[6562, 197, 848, 22, 71, "Output",ExpressionUUID->"dfbee293-3545-40e5-9654-0bbaeb516b1e"]
}, Open  ]],
Cell[7425, 222, 171, 3, 35, "Text",ExpressionUUID->"852db8ff-3c84-449b-bf9c-bcbbabc0168d"],
Cell[CellGroupData[{
Cell[7621, 229, 461, 12, 29, "Input",ExpressionUUID->"80095a30-a453-4f71-950e-72e7859f11d6"],
Cell[8085, 243, 368, 9, 56, "Output",ExpressionUUID->"6440c64d-af86-46a2-ac2b-8f1f455e8bd7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8490, 257, 316, 6, 29, "Input",ExpressionUUID->"0ba750c5-ab04-464a-84fc-b17ef7288789"],
Cell[8809, 265, 550, 15, 62, "Output",ExpressionUUID->"4938e239-fa29-4981-96fd-147f0bcb87de"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9396, 285, 439, 11, 29, "Input",ExpressionUUID->"79462f6d-c910-4456-aa3a-a7ef4975b0c7"],
Cell[9838, 298, 369, 9, 56, "Output",ExpressionUUID->"9a46dd54-f611-499d-8c72-e195238a24b7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10244, 312, 317, 6, 29, "Input",ExpressionUUID->"50f8c9e1-cb6c-4291-b6ff-1a5b517dcef6"],
Cell[10564, 320, 531, 15, 62, "Output",ExpressionUUID->"33ee0d69-4841-4fe7-b10b-8d03651b7eef"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11132, 340, 437, 11, 29, "Input",ExpressionUUID->"c9d6bd11-4e01-45ac-8a7c-d2114847041c"],
Cell[11572, 353, 367, 9, 56, "Output",ExpressionUUID->"72988073-a125-42d8-a137-3bac8511e6d3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11976, 367, 317, 6, 29, "Input",ExpressionUUID->"34cc6753-8b3b-4564-8e5d-fcccc156a928"],
Cell[12296, 375, 529, 15, 62, "Output",ExpressionUUID->"b1c72438-8ab3-4ff0-a1af-625964142603"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12862, 395, 437, 11, 31, "Input",ExpressionUUID->"badeefb5-c155-4a6d-80e1-09d603230413"],
Cell[13302, 408, 367, 9, 56, "Output",ExpressionUUID->"b7c46474-95f3-4306-badc-dc535dcb0e4b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13706, 422, 307, 6, 29, "Input",ExpressionUUID->"7527d619-dc88-4d54-917d-5036a618bbf1"],
Cell[14016, 430, 533, 15, 62, "Output",ExpressionUUID->"d1547bda-bcf2-49f4-9d63-76f63abb7334"]
}, Open  ]],
Cell[14564, 448, 256, 8, 81, "Text",ExpressionUUID->"5a054116-8c04-4b57-b8ed-04db0d630144"],
Cell[CellGroupData[{
Cell[14845, 460, 257, 5, 31, "Input",ExpressionUUID->"8a306fb9-8cb0-4ffe-9943-6ed169baf8db"],
Cell[15105, 467, 263, 5, 33, "Output",ExpressionUUID->"2c5f82e0-d2e1-48ec-a7d4-ddab5dc10d8f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15405, 477, 249, 5, 31, "Input",ExpressionUUID->"5a51b4be-a28a-4f91-ae9f-30113ce7cf47"],
Cell[15657, 484, 267, 5, 33, "Output",ExpressionUUID->"22e73b67-8d90-4739-a89e-b12882daf9c8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15961, 494, 317, 7, 31, "Input",ExpressionUUID->"63068333-1d95-4f7a-b3f1-88454b585da9"],
Cell[16281, 503, 833, 24, 62, "Output",ExpressionUUID->"55be3f9c-0fd7-4eeb-85b0-9c99ed55ce57"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17151, 532, 340, 8, 31, "Input",ExpressionUUID->"e6cd53f5-312d-45af-9c4a-386cfa907f07"],
Cell[17494, 542, 847, 25, 62, "Output",ExpressionUUID->"c4fd0b42-520e-4839-bebb-5fec60226433"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18378, 572, 730, 20, 31, "Input",ExpressionUUID->"bb1354d1-dcf2-4f5c-ae13-64ea7155bbd6"],
Cell[19111, 594, 2887, 86, 91, "Output",ExpressionUUID->"2f0b79ea-e5d4-47f1-a9f3-ee6d1e6df289"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22035, 685, 602, 17, 31, "Input",ExpressionUUID->"bdbf06cc-00c4-41cc-89b9-d3a69ea6d5e0"],
Cell[22640, 704, 2834, 85, 91, "Output",ExpressionUUID->"80d3096e-5f13-413d-a361-6ef902b1fd57"]
}, Open  ]],
Cell[25489, 792, 256, 7, 58, "Text",ExpressionUUID->"c776e8e0-105d-4430-8b28-8c41376438a6"],
Cell[CellGroupData[{
Cell[25770, 803, 336, 8, 29, "Input",ExpressionUUID->"33f6d9b4-ca47-4882-bce8-6d7de5b9f348"],
Cell[26109, 813, 914, 26, 62, "Output",ExpressionUUID->"a48bfef0-12a4-4850-8d3b-4b634e4032c3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[27060, 844, 336, 8, 29, "Input",ExpressionUUID->"60cbe282-03d5-4520-a94f-6b36175e35ca"],
Cell[27399, 854, 910, 27, 62, "Output",ExpressionUUID->"ee1e032d-675c-44af-ade8-10722b2046be"]
}, Open  ]],
Cell[CellGroupData[{
Cell[28346, 886, 336, 8, 29, "Input",ExpressionUUID->"b1b9e011-783f-4acc-b77f-6085dc0e7167"],
Cell[28685, 896, 3886, 113, 120, "Output",ExpressionUUID->"3128eb46-3038-41b8-b0c4-861fd3ae73d0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32608, 1014, 326, 8, 29, "Input",ExpressionUUID->"17d85219-7b2c-4e48-86d7-ad43d4975b1e"],
Cell[32937, 1024, 3865, 112, 120, "Output",ExpressionUUID->"246cac80-b8cb-416f-9fe0-f517f31b3dfa"]
}, Open  ]],
Cell[36817, 1139, 275, 6, 35, "Text",ExpressionUUID->"78a2f6a5-8135-42fd-92b7-fe7134a96b4d"],
Cell[CellGroupData[{
Cell[37117, 1149, 1117, 24, 31, "Input",ExpressionUUID->"778293f5-c8a7-4985-a9be-5c4a45eb1d1b"],
Cell[38237, 1175, 1099, 19, 330, "Output",ExpressionUUID->"148282ae-bb7e-4fda-9fc9-78bc6c6d2a31"]
}, Open  ]],
Cell[39351, 1197, 206, 6, 58, "Text",ExpressionUUID->"78d00c8a-befa-4dcb-8c9f-5bd09bed22de"],
Cell[CellGroupData[{
Cell[39582, 1207, 835, 21, 31, "Input",ExpressionUUID->"9d8b59a5-5a06-4621-b6f7-e27a93b831ac"],
Cell[40420, 1230, 1664, 48, 66, "Output",ExpressionUUID->"c943b657-c209-4456-87a2-dc7defedb7b5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[42121, 1283, 698, 19, 31, "Input",ExpressionUUID->"70347364-bd5d-4300-9057-fe3359c8df9e"],
Cell[42822, 1304, 1899, 56, 75, "Output",ExpressionUUID->"a3fa2733-9c3f-4240-aeed-ec6d299759c4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[44758, 1365, 698, 19, 31, "Input",ExpressionUUID->"ad0aeab8-7c74-4bf8-a6d4-3b1fc120fd91"],
Cell[45459, 1386, 1814, 54, 75, "Output",ExpressionUUID->"19cd9431-6011-4885-8043-e145a409cd17"]
}, Open  ]],
Cell[47288, 1443, 422, 8, 35, "Text",ExpressionUUID->"616452f7-c748-4641-8b2c-bae5b1543820"],
Cell[CellGroupData[{
Cell[47735, 1455, 917, 22, 29, "Input",ExpressionUUID->"b119d9e3-6dad-4ab8-b365-831e5b488ed8"],
Cell[48655, 1479, 4766, 135, 153, "Output",ExpressionUUID->"24dd09a9-be0b-4a06-8d00-9ec505789b89"]
}, Open  ]],
Cell[CellGroupData[{
Cell[53458, 1619, 724, 19, 29, "Input",ExpressionUUID->"e109730f-adbf-4735-aa33-4ecab9a6685c"],
Cell[54185, 1640, 7698, 219, 167, "Output",ExpressionUUID->"71d1172c-afc1-4798-bb20-0604f95ebbc5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[61920, 1864, 711, 19, 29, "Input",ExpressionUUID->"49f540a5-f3aa-4021-aa0f-7dc8fe71837e"],
Cell[62634, 1885, 7620, 212, 166, "Output",ExpressionUUID->"86ef2409-7c96-4592-b838-38ffb16b0d7b"]
}, Open  ]],
Cell[70269, 2100, 423, 10, 81, "Text",ExpressionUUID->"89b6237c-f1f9-422b-bc97-3c6aea60c865"],
Cell[CellGroupData[{
Cell[70717, 2114, 211, 3, 29, "Input",ExpressionUUID->"c1cf1882-e882-45c3-8f55-54d1595c603c"],
Cell[70931, 2119, 971, 18, 119, "Output",ExpressionUUID->"d3bdd62a-bb3a-4534-a30c-b60eb97d93d2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[71939, 2142, 211, 3, 29, "Input",ExpressionUUID->"6c7afa11-91d3-4487-b3ef-6141a229f5a8"],
Cell[72153, 2147, 1569, 29, 191, "Output",ExpressionUUID->"3eb88bd3-1830-4722-b347-a60a3c816e54"]
}, Open  ]],
Cell[CellGroupData[{
Cell[73759, 2181, 213, 3, 29, "Input",ExpressionUUID->"7b58b132-05d3-478b-8726-618980c05397"],
Cell[73975, 2186, 1553, 28, 173, "Output",ExpressionUUID->"1a93a5b5-4d1a-417d-9473-0b551c2472d2"]
}, Open  ]]
}
]
*)

